@import "../../../assets/styles/00-settings/settings";

.conversation {
  width: 100%;
  height: 100%;
  background-color: white;
  display: grid;
  grid-template-rows: auto 1fr auto;

  .conversation-header {
    grid-row: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: $color-background-secondary;
    color: white;
    font-weight: 500;

    .header-title {
      flex: 1;
      padding: 10px;
    }

    .icon {
      color: white;
      font-size: 20px;
    }
  }

  .conversation-content {
    overflow-y: auto;
    grid-row: 2;

    .content-messages {
      .item-message {
        margin: 10px;
        font-weight: 500;
        display: flex;
        flex-direction: column;

        &.is-self {
          text-align: end;

          .message-text {
            background-color: rgba($color-blue, .3);
          }
        }

        .message-name {

        }

        .message-text {
          padding: 5px 10px;
          background-color: rgba($color-green, .3);
          border-radius: $default-radius;
        }
      }
    }
  }

  .conversation-footer {
    border-top: 1px solid black;
    color: white;
    font-weight: 500;
    background-color: $color-background-secondary;

    .footer-input {
      padding: 0;
      display: grid;
      grid-template-columns: 1fr auto;
      align-items: center;

      .input-text {
        grid-column: 1;
        width: auto;
      }

      .input-submit {
        grid-column: 2;
        padding: 0 10px;
        cursor: pointer;
      }

      input {
        cursor: text;
        margin: 5px 0;
      }
    }
  }
}
